# Podterminal

This project is a small go reverse proxy that spins up a container for each session, allowing multiple simultaneous
Users to use Webtop in their own, separate session. A good illustration is this:
![Webtop Inception](doc/podterminal_inception.png)

## Building
To build the project, you can just use "make"

On Debian 12, you will need the following dependencies:
```sh
apt install -y git wget podman make gcc libgpgme-dev build-essential pkgconf pkgconf-bin libdevmapper-dev libbtrfs-dev
```

## Installing
Executing `make install` will install and start podterminal as a systemd service, including an example config file.

## Usage
There is some basic Documentation in the config file to explain the usage of the keys. For more in-depth explanations 
feel free to contact me, and I will add it to the documentation

## Known Bugs
- Images need to be pulled first as root
- Not compatible with default KASM Docker images (needs http WSS access)
- reloading browser on startup might be necessary, especially if the target image is slow to start
